using Benday.FakesSample.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Benday.FakesSample.DataAccess
{
    public class PersonToDataRowAdapter
    {

        public PersonToDataRowAdapter()
        {

        }

        public void Adapt(Benday.FakesSample.DataAccess.FakesDataSet.PersonRow fromValue, IPerson toValue)
        {
            toValue.Id = fromValue.Id;
            toValue.FirstName = fromValue.FirstName;
            toValue.LastName = fromValue.LastName;
            toValue.CreateDate = fromValue.CreateDate;
            toValue.LastModified = fromValue.LastModified;
            toValue.EmailAddress = fromValue.EmailAddress;
            toValue.Notes = fromValue.Notes;
        }
        
        public void Adapt(IPerson fromValue, FakesDataSet.PersonRow toValue)
        {
            if (toValue.Id < 1)
            {
                toValue.Id = fromValue.Id;    
            }
            
            toValue.FirstName = fromValue.FirstName;
            toValue.LastName = fromValue.LastName;
            toValue.CreateDate = fromValue.CreateDate;
            toValue.LastModified = fromValue.LastModified;
            toValue.EmailAddress = fromValue.EmailAddress;
            toValue.Notes = fromValue.Notes;
        }
    }
}
